# RateLimit.Interval

Rate-limiting interval in seconds; `0` disables throttling.

This parameter applies to imudp: UDP Syslog Input Module.

Name:

  RateLimit.Interval

Scope:

  input

Type:

  integer

Default:

  input=0

Required?:

  no

Introduced:

  7.3.1

## Description

The rate-limiting interval in seconds. Value 0 turns off rate limiting. Set it to a number of seconds (5 recommended) to activate rate-limiting.

## Input usage

    input(type="imudp" RateLimit.Interval="...")

## See also

See also imudp: UDP Syslog Input Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.